# Publications using calcFD

This is a list of publications that have used the calcFD toolbox. If you have used the toolbox and would like to add your publication to the list, please create an issue in GitHub or email me.

## 2016

* Madan, C. R., & Kensinger, E. A. (2016). Cortical complexity as a measure of age-related brain atrophy. *NeuroImage, 134*, 617-629. doi:10.1016/j.neuroimage.2016.04.029

## 2017

* Madan, C. R., & Kensinger, E. A. (2017). Age-related differences in the structural complexity of subcortical and ventricular structures. *Neurobiology of Aging, 50*, 87-95. doi:10.1016/j.neurobiolaging.2016.10.023

* Madan, C. R., & Kensinger, E. A. (2017). Test-retest reliability of brain morphology estimates. *Brain Informatics, 4*, 107-121. doi:10.1007/s40708-016-0060-4  

## 2018

* Madan, C. R., & Kensinger, E. A. (2018). Predicting age from cortical structure across the lifespan. *European Journal of Neuroscience, 47*, 399-416. doi:10.1111/ejn.13835  

* Madan, C. R. (2018). Age differences in head motion and estimates of cortical morphology. *PeerJ, 6*, e5176. doi:10.7717/peerj.5176

* Canna, A., Russo, A. G., Ponticorvo, S., Manara, R., Pepino, A., Sansone, M., ... & Esposito, F. (2018). Automated search of control points in surface-based morphometry. *NeuroImage, 176*, 56-70. doi:10.1016/j.neuroimage.2018.04.035

## 2019

* Madan, C. R. (2019). Shape-related characteristics of age-related differences in subcortical structures. *Aging & Mental Health, 23*, 800-810. doi:10.1080/13607863.2017.1421613 

* Krohn, S., Froeling, M., Leemans, A., Ostwald, D., Villoslada, P., Finke, C., & Esteban, F. J. (2019). Evaluation of the 3D fractal dimension as a marker of structural brain complexity in multiple‐acquisition MRI. *Human Brain Mapping, 40*, 3299-3320. doi:10.1002/hbm.24599

## 2020

* Collantoni, E., Madan, C. R., Meneguzzo, P., Chiappini, I., Tenconi, E., Manara, R., & Favaro, A. (2020). Cortical complexity in Anorexia Nervosa: A fractal dimension analysis. *Journal of Clinical Medicine, 9*, 833. doi:10.3390/jcm9030833

* Liu, H., Liu, T., Jiang, J., Cheng, J., Liu, Y., Li, D., ... & Brodaty, H. (2020). Differential longitudinal changes in structural complexity and volumetric measures in community-dwelling older individuals. *Neurobiology of Aging, 91*, 26-35. doi:10.1016/j.neurobiolaging.2020.02.023

* Cascino, G., Canna, A., Monteleone, A. M., Russo, A. G., Prinster, A., Aiello, M., ... & Monteleone, P. (2020). Cortical Thickness, local Gyrification Index and Fractal Dimensionality in people with acute and recovered Anorexia Nervosa and in people with Bulimia Nervosa. *Psychiatry Research: Neuroimaging, 299*, 111069. doi:10.1016/j.pscychresns.2020.111069

## 2021

* McDonough, I. M., & Madan, C. R. (2021). Structural complexity is negatively associated with brain activity: A novel multimodal test of compensation theories of aging. *Neurobiology of Aging, 98*, 185-196. doi:10.1016/j.neurobiolaging.2020.10.023

* Madan, C. R. (2021). Age-related decrements in cortical gyrification: Evidence from an accelerated longitudinal dataset. *European Journal of Neuroscience, 53*, 1661-1671. doi:10.1111/ejn.15039